ru.bitel.bgbilling.modules.inet.runtime

## Class InetOptionRuntimeMap

- java.lang.Object
- - ru.bitel.bgbilling.modules.inet.runtime.InetOptionRuntimeMap

- All Implemented Interfaces:
    EventListener<InetOptionModifiedEvent>

      public class InetOptionRuntimeMap
      extends java.lang.Object
      implements EventListener<InetOptionModifiedEvent>

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `InetOptionRuntime` | `get(int id)`
    `static InetOptionRuntimeMap` | `getInstance()` Deprecated.
    `static InetOptionRuntimeMap` | `getInstance(java.sql.Connection con, int moduleId)` Deprecated.
    `static InetOptionRuntimeMap` | `getInstance(ConnectionSet connectionSet, int moduleId)`
    `static InetOptionRuntimeMap` | `getInstance(int moduleId)`
    `java.util.Map<java.lang.Integer,InetOptionRuntime>` | `getMap()`
    `void` | `notify(InetOptionModifiedEvent e, EventListenerContext ctx)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          @Deprecated
          public static InetOptionRuntimeMap getInstance(java.sql.Connection con,
                                                                     int moduleId)
                                                              throws ru.bitel.bgbilling.common.BGException

      Deprecated.
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getInstance

          public static InetOptionRuntimeMap getInstance(ConnectionSet connectionSet,
                                                         int moduleId)
                                                  throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getInstance

          @Deprecated
          public static InetOptionRuntimeMap getInstance()
                                                              throws ru.bitel.bgbilling.common.BGException

      Deprecated.
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getInstance

          public static InetOptionRuntimeMap getInstance(int moduleId)
                                                  throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### notify

          public void notify(InetOptionModifiedEvent e,
                             EventListenerContext ctx)
                      throws ru.bitel.bgbilling.common.BGException

      Specified by:
        `notify` in interface `EventListener<InetOptionModifiedEvent>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### get

          public InetOptionRuntime get(int id)

    - #### getMap

          public java.util.Map<java.lang.Integer,InetOptionRuntime> getMap()